package com.njcn.cloud.enums.app;

/**
 * @description: 稳态越限返回指标
 * @author: gbl
 **/

public enum SteadyMsgCodeEnum {

    GETSTATE_SUCCESS(10201, "获取稳态越限列表成功"),
    GETSTATE_FALL(10202, "获取稳态越限列表失败"),
    
    GETSTATEINFO_SUCCESS(10203, "获取稳态越限列表详细信息成功"),
    GETSTATEINFO_FALL(10204, "获取稳态越限列表详细信息失败"),
    
    GETTARGET_SUCCESS(10205, "获取稳态越限涉及指标成功"),
    GETTARGET_FALL(10206, "获取稳态越限涉及指标失败"),
    
    GETTARGETURL_SUCCESS(10207, "获取稳态越限指标图形成功"),
    GETTARGETURL_FALL(10208, "获取稳态越限指标图形失败");


    SteadyMsgCodeEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    private int code;

    private String msg;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public String toString() {
        return "SteadyMsgCodeEnum{" +
                "code=" + code +
                ", msg='" + msg + '\'' +
                '}';
    }
}
